<?php
// ========= Tableaux de d�finition des la base de donn�es ====================================
// liste des tables, liste des noms des tables
$DB_Tables=array('event', 'user', 'classroom', 'workCenter', 'classe');
$DB_TablesNames=array('incident', 'utilisateur', 'salle', 'poste', 'classe');
$DB_ParmsTables=array('classroom', 'eventType', 'level');
$DB_ParmsTablesNames=array("Salles", "Types d'évènements", "Niveaux des utilisateurs");
// liste des champs des tables
$DB_TablesDef['event']=array("evtNum" , "evtDate" , "evtHeure" , "classroomCode", "evtPosteNom", "evtProfNom", "useNum", "evtType", "evtDesc", "solvDate", "useNum_solve", "solvDesc", "closDate", "useNum_close" ) ;
$DB_TablesDef['user']=array("useNum" , "useNom" , "usePrenom", "useLogin", "usePwd", "useLevel");
$DB_TablesDef['classroom']=array("classroomNum", "classroomCode" , "classroomDesc");
$DB_TablesDef['workCenter']=array("wcNum" , "wcNom" , "wcNumSerie" , "wcDesc" ) ;
$DB_TablesDef['classe']=array("clCode", "clNom");

// description des champs
$DB_FieldDesc['aaa']=array("short", "long", "size", "request(true/false/tableSelect"); // définition
$DB_FieldDesc['evtNum']=array("n°evt", "n° de l'incident", "", FALSE);
$DB_FieldDesc['useNum']=array("n°usr", "n° de l'utilisateur", "", TRUE);
$DB_FieldDesc['classroomNum']=array("n°Salle", "n° de la salle", "", FALSE);
$DB_FieldDesc['classroomCode']=array("salle", "code salle (Sxxxx-yyy)", "", FALSE);
$DB_FieldDesc['wcNum']=array("n°poste", "n° Poste", "", FALSE);
$DB_FieldDesc['clCode']=array("classe", "code classe", "", FALSE);
$DB_FieldDesc['evtDate']=array("date I", "date incident", "", TRUE);
$DB_FieldDesc['evtHeure']=array("h I", "heure incident", "", FALSE);
$DB_FieldDesc['evtPosteNom']=array("t-poste", "t-n°du poste (Sxxx-Pyy)", "", FALSE);
$DB_FieldDesc['evtClasseNom']=array("t-classe", "classe", "", FALSE);
$DB_FieldDesc['evtProfNom']=array("t-usr", "t-nom auteur (utilisateur)", "", TRUE);
$DB_FieldDesc['evtType']=array("type", "type d'incident", "", TRUE);
$DB_FieldDesc['evtDesc']=array("problème", "description de l'incident", "", TRUE);
$DB_FieldDesc['useNum_solve']=array("intervenant", "nom de l'intervenant de résolution", "", FALSE);
$DB_FieldDesc['solvDate']=array("date s", "date résolution", "", FALSE);
$DB_FieldDesc['solvDesc']=array("résolution", "Description de la résolution", "", FALSE);
$DB_FieldDesc['useNum_close']=array("Clôture", "Nom de l'intervenant de clôture", "", FALSE);
$DB_FieldDesc['closDate']=array("date c", "date clôture", "", FALSE);

$DB_FieldDesc['useNom']=array("nom", "nom", "", TRUE);
$DB_FieldDesc['usePrenom']=array("prénom", "prénom", "", FALSE);
$DB_FieldDesc['useLogin']=array("login", "identifiant", "", TRUE);
$DB_FieldDesc['usePwd']=array("pwd", "mot de passe", "", TRUE);
$DB_FieldDesc['useLevel']=array("Niveau", "Niveau de responsabilité", "", TRUE);

$DB_FieldDesc['levelCode']=array("Code", "Code niveau de droits", "", FALSE);
$DB_FieldDesc['levelDesc']=array("Desc", "Description du niveau de droits", "", FALSE);

$DB_FieldDesc['classroomDesc']=array("description", "Description de la salle", "", FALSE);
$DB_FieldDesc['evtTypeDesc']=array("description", "Description du type d'incident", "", TRUE);


$DB_FieldDesc['wcNom']=array("nom", "nom du poste (Sxxx-Pyy)", "", TRUE);
$DB_FieldDesc['wcNumSerie']=array("n°Série", "n° de série", "", FALSE);
$DB_FieldDesc['wcDesc']=array("Description", "description du matériel", "", FALSE);
$DB_FieldDesc['clNom']=array("nom", "nom de la classe", "", TRUE);

// liste des champs clés des tables
$DB_TablesKeyField['event']=array("evtNum");
$DB_TablesKeyField['user']=array("useNum");
$DB_TablesKeyField['room']=array("roomCode");
$DB_TablesKeyField['workCenter']=array("wcNum");
$DB_TablesKeyField['classe']=array("clCode");

// liste des champs descriptif des tables
$DB_TablesDescField['event']=array("evtNum" , "evtDate" , "evtHeure" , "evtSalleNom", "evtPosteNom", "evtProfNom", "useNum", "evtClasseNom", "evtType", "evtDesc", "solvDate", "useNum_solve", "solvDesc", "closDate", "useNum_close" ) ;
$DB_TablesDescField['user']=array("useNum" , "useNom" , "usePrenom");
$DB_TablesDescField['classroom']=array("classroomCode" , "classroomDesc");
$DB_TablesDescField['workCenter']=array("wcNum" , "wcNom" , "wcNumSerie" , "wcDesc" ) ;
$DB_TablesDescField['classe']=array("clCode", "clNom");

// liste des champs de description courte des tables
$DB_TablesShortDescField['event']=array("evtNum" , "evtDate" , "evtHeure" , "evtPosteNom", "evtSalleNom", "evtClasseNom", "evtProfNom", "useNum", "evtType", "evtDesc", "solvNom", "solvDate", "solvDesc", "closNom", "closDate" ) ;
$DB_TablesShortDescField['user']=array("useNom" , "usePrenom");
$DB_TablesShortDescField['classroom']=array("classroomDesc");
$DB_TablesShortDescField['workCenter']=array("wcNom") ;
$DB_TablesShortDescField['classe']=array("clCode");

?>
